import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  CreateChannelCommandInput,
  CreateChannelCommandOutput,
} from "../commands/CreateChannelCommand";
import {
  CreateChannelGroupCommandInput,
  CreateChannelGroupCommandOutput,
} from "../commands/CreateChannelGroupCommand";
import {
  CreateOriginEndpointCommandInput,
  CreateOriginEndpointCommandOutput,
} from "../commands/CreateOriginEndpointCommand";
import {
  DeleteChannelCommandInput,
  DeleteChannelCommandOutput,
} from "../commands/DeleteChannelCommand";
import {
  DeleteChannelGroupCommandInput,
  DeleteChannelGroupCommandOutput,
} from "../commands/DeleteChannelGroupCommand";
import {
  DeleteChannelPolicyCommandInput,
  DeleteChannelPolicyCommandOutput,
} from "../commands/DeleteChannelPolicyCommand";
import {
  DeleteOriginEndpointCommandInput,
  DeleteOriginEndpointCommandOutput,
} from "../commands/DeleteOriginEndpointCommand";
import {
  DeleteOriginEndpointPolicyCommandInput,
  DeleteOriginEndpointPolicyCommandOutput,
} from "../commands/DeleteOriginEndpointPolicyCommand";
import {
  GetChannelCommandInput,
  GetChannelCommandOutput,
} from "../commands/GetChannelCommand";
import {
  GetChannelGroupCommandInput,
  GetChannelGroupCommandOutput,
} from "../commands/GetChannelGroupCommand";
import {
  GetChannelPolicyCommandInput,
  GetChannelPolicyCommandOutput,
} from "../commands/GetChannelPolicyCommand";
import {
  GetOriginEndpointCommandInput,
  GetOriginEndpointCommandOutput,
} from "../commands/GetOriginEndpointCommand";
import {
  GetOriginEndpointPolicyCommandInput,
  GetOriginEndpointPolicyCommandOutput,
} from "../commands/GetOriginEndpointPolicyCommand";
import {
  ListChannelGroupsCommandInput,
  ListChannelGroupsCommandOutput,
} from "../commands/ListChannelGroupsCommand";
import {
  ListChannelsCommandInput,
  ListChannelsCommandOutput,
} from "../commands/ListChannelsCommand";
import {
  ListOriginEndpointsCommandInput,
  ListOriginEndpointsCommandOutput,
} from "../commands/ListOriginEndpointsCommand";
import {
  ListTagsForResourceCommandInput,
  ListTagsForResourceCommandOutput,
} from "../commands/ListTagsForResourceCommand";
import {
  PutChannelPolicyCommandInput,
  PutChannelPolicyCommandOutput,
} from "../commands/PutChannelPolicyCommand";
import {
  PutOriginEndpointPolicyCommandInput,
  PutOriginEndpointPolicyCommandOutput,
} from "../commands/PutOriginEndpointPolicyCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateChannelCommandInput,
  UpdateChannelCommandOutput,
} from "../commands/UpdateChannelCommand";
import {
  UpdateChannelGroupCommandInput,
  UpdateChannelGroupCommandOutput,
} from "../commands/UpdateChannelGroupCommand";
import {
  UpdateOriginEndpointCommandInput,
  UpdateOriginEndpointCommandOutput,
} from "../commands/UpdateOriginEndpointCommand";
export declare const se_CreateChannelCommand: (
  input: CreateChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateChannelGroupCommand: (
  input: CreateChannelGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateOriginEndpointCommand: (
  input: CreateOriginEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelCommand: (
  input: DeleteChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelGroupCommand: (
  input: DeleteChannelGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteChannelPolicyCommand: (
  input: DeleteChannelPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteOriginEndpointCommand: (
  input: DeleteOriginEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteOriginEndpointPolicyCommand: (
  input: DeleteOriginEndpointPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetChannelCommand: (
  input: GetChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetChannelGroupCommand: (
  input: GetChannelGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetChannelPolicyCommand: (
  input: GetChannelPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetOriginEndpointCommand: (
  input: GetOriginEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetOriginEndpointPolicyCommand: (
  input: GetOriginEndpointPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelGroupsCommand: (
  input: ListChannelGroupsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListChannelsCommand: (
  input: ListChannelsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListOriginEndpointsCommand: (
  input: ListOriginEndpointsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListTagsForResourceCommand: (
  input: ListTagsForResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutChannelPolicyCommand: (
  input: PutChannelPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutOriginEndpointPolicyCommand: (
  input: PutOriginEndpointPolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateChannelCommand: (
  input: UpdateChannelCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateChannelGroupCommand: (
  input: UpdateChannelGroupCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateOriginEndpointCommand: (
  input: UpdateOriginEndpointCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_CreateChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateChannelCommandOutput>;
export declare const de_CreateChannelGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateChannelGroupCommandOutput>;
export declare const de_CreateOriginEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateOriginEndpointCommandOutput>;
export declare const de_DeleteChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelCommandOutput>;
export declare const de_DeleteChannelGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelGroupCommandOutput>;
export declare const de_DeleteChannelPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteChannelPolicyCommandOutput>;
export declare const de_DeleteOriginEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteOriginEndpointCommandOutput>;
export declare const de_DeleteOriginEndpointPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteOriginEndpointPolicyCommandOutput>;
export declare const de_GetChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetChannelCommandOutput>;
export declare const de_GetChannelGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetChannelGroupCommandOutput>;
export declare const de_GetChannelPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetChannelPolicyCommandOutput>;
export declare const de_GetOriginEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOriginEndpointCommandOutput>;
export declare const de_GetOriginEndpointPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetOriginEndpointPolicyCommandOutput>;
export declare const de_ListChannelGroupsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelGroupsCommandOutput>;
export declare const de_ListChannelsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListChannelsCommandOutput>;
export declare const de_ListOriginEndpointsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListOriginEndpointsCommandOutput>;
export declare const de_ListTagsForResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListTagsForResourceCommandOutput>;
export declare const de_PutChannelPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutChannelPolicyCommandOutput>;
export declare const de_PutOriginEndpointPolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutOriginEndpointPolicyCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateChannelCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateChannelCommandOutput>;
export declare const de_UpdateChannelGroupCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateChannelGroupCommandOutput>;
export declare const de_UpdateOriginEndpointCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateOriginEndpointCommandOutput>;
